Skip to main content
GET
Get one Sales Order Line by its reference

Authorizations

Authorization
string
header
required

Use a valid JWT token in the Authorization header with the format 'Bearer {token}'

Path Parameters

lineReference
string
required

Response

OK

id
string
required
externalReference
null | string
required
orderId
string
required
order
object | null
required
skuId
string
required
sku
object | null
required
code
string
required
number
integer<int32>
required
quantity
object
required
pendingQuantity
object
required
shippedQuantity
object
required
cancelledQuantity
object
required
availableQuantity
object
required
plannedQuantity
object
required
requestedDeliveryAt
null | string<date-time>
required
committedDeliveryAt
null | string<date-time>
required
targetDeliveryAt
string<date-time>
required
projectedShipmentDate
null | string<date>
required
stockExpectedAt
null | string<date-time>
required
releasedAt
null | string<date-time>
required
cancelledAt
null | string<date-time>
required
notes
null | string
required
status
enum<string>
required
Available options:
Cancelled,
Draft,
Pending,
PartiallyDelivered,
Delivered
stockStatus
any | null
required
Available options:
Pending,
PartiallyPlanned,
FullyPlanned,
Ready,
NotRequired,
null
fulfillmentMode
enum<string>
required
Available options:
ToOrder,
ToStock
createdAt
string<date-time>
required
createdBy
string
required
lastModifiedAt
string<date-time>
required
lastModifiedBy
string
required
enteredQuantity
object | null